com.icesoft.faces.component.commandsortheader

## Class CommandSortHeader

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - javax.faces.component.UICommand
      - - javax.faces.component.html.HtmlCommandLink
        - - com.icesoft.faces.component.ext.HtmlCommandLink
          - - com.icesoft.faces.component.commandsortheader.CommandSortHeader

- All Implemented Interfaces:
    java.util.EventListener, javax.faces.component.ActionSource, javax.faces.component.ActionSource2, javax.faces.component.behavior.ClientBehaviorHolder, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder

      public class CommandSortHeader
      extends HtmlCommandLink

  This component is an extension of com.icesoft.faces.component.ext.HtmlCommandLink, works in conjunction with dataTable.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class javax.faces.component.html.HtmlCommandLink

      `javax.faces.component.html.HtmlCommandLink.PropertyKeys`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `COMPONENT_FAMILY`
    `static java.lang.String` | `COMPONENT_TYPE`
    `static java.lang.String` | `DEFAULT_RENDERER_TYPE`

    - ### Fields inherited from class com.icesoft.faces.component.ext.HtmlCommandLink

      `RENDERER_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CommandSortHeader()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `broadcast(javax.faces.event.FacesEvent event)`
    `HtmlDataTable` | `findParentDataTable()` Return the instance of the `parentDataTable` of this component.
    `java.lang.String` | `getColumnName()` Return the value of the `columnName` property.
    `java.lang.String` | `getFamily()` Return the value of the `COMPONENT_FAMILY` of this component.
    `java.lang.String` | `getStyleClass()` Return the value of the `styleClass` property.
    `boolean` | `isArrow()` Deprecated. It no longer has any effect in 1.7. To alter the appearance of the arrow images, the following style classes need to be customized: iceCmdSrtHdrAsc, iceCmdSrtHdrDesc
    `void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)` Perform any processing required to restore the state from the entries in the state Object.
    `java.lang.Object` | `saveState(javax.faces.context.FacesContext context)` Gets the state of the instance as a `Serializable` Object.
    `void` | `setArrow(boolean arrow)` Deprecated. It no longer has any effect in 1.7. To alter the appearance of the arrow images, the following style classes need to be customized: iceCmdSrtHdrAsc, iceCmdSrtHdrDesc
    `void` | `setColumnName(java.lang.String columnName)` Set the value of the `columnName` property.
    `void` | `setStyleClass(java.lang.String styleClass)` Set the value of the `styleClass` property.

    - ### Methods inherited from class com.icesoft.faces.component.ext.HtmlCommandLink

      `getCurrentStyle, getEffect, getEnabledOnUserRole, getOnclickeffect, getOndblclickeffect, getOnkeydowneffect, getOnkeypresseffect, getOnkeyupeffect, getOnmousedowneffect, getOnmousemoveeffect, getOnmouseouteffect, getOnmouseovereffect, getOnmouseupeffect, getPanelConfirmation, getPartialSubmit, getRenderedOnUserRole, getVisible, isDisabled, isFocus, isRendered, isVisible, requestFocus, setCurrentStyle, setDisabled, setEffect, setEnabledOnUserRole, setFocus, setOnclickeffect, setOndblclickeffect, setOnkeydowneffect, setOnkeypresseffect, setOnkeyupeffect, setOnmousedowneffect, setOnmousemoveeffect, setOnmouseouteffect, setOnmouseovereffect, setOnmouseupeffect, setPanelConfirmation, setPartialSubmit, setRenderedOnUserRole, setValueBinding, setVisible`

    - ### Methods inherited from class javax.faces.component.html.HtmlCommandLink

      `getAccesskey, getCharset, getCoords, getDefaultEventName, getDir, getEventNames, getHreflang, getLang, getOnblur, getOnclick, getOndblclick, getOnfocus, getOnkeydown, getOnkeypress, getOnkeyup, getOnmousedown, getOnmousemove, getOnmouseout, getOnmouseover, getOnmouseup, getRel, getRev, getShape, getStyle, getTabindex, getTarget, getTitle, getType, setAccesskey, setCharset, setCoords, setDir, setHreflang, setLang, setOnblur, setOnclick, setOndblclick, setOnfocus, setOnkeydown, setOnkeypress, setOnkeyup, setOnmousedown, setOnmousemove, setOnmouseout, setOnmouseover, setOnmouseup, setRel, setRev, setShape, setStyle, setTabindex, setTarget, setTitle, setType`

    - ### Methods inherited from class javax.faces.component.UICommand

      `addActionListener, getAction, getActionExpression, getActionListener, getActionListeners, getValue, isImmediate, queueEvent, removeActionListener, setAction, setActionExpression, setActionListener, setImmediate, setValue`

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface javax.faces.component.behavior.ClientBehaviorHolder

      `addClientBehavior, getClientBehaviors`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final java.lang.String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final java.lang.String COMPONENT_FAMILY

      See Also:
        Constant Field Values

    - #### DEFAULT_RENDERER_TYPE

          public static final java.lang.String DEFAULT_RENDERER_TYPE

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### CommandSortHeader

          public CommandSortHeader()

  - ### Method Detail

    - #### broadcast

          public void broadcast(javax.faces.event.FacesEvent event)
                         throws javax.faces.event.AbortProcessingException

      Overrides:
        `broadcast` in class `javax.faces.component.UICommand`
      Throws:
        `javax.faces.event.AbortProcessingException`

    - #### findParentDataTable

          public HtmlDataTable findParentDataTable()

      Return the instance of the `parentDataTable` of this component.

    - #### saveState

          public java.lang.Object saveState(javax.faces.context.FacesContext context)

      Gets the state of the instance as a `Serializable` Object.

      Specified by:
        `saveState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `saveState` in class `HtmlCommandLink`
      Returns:
        Object values[]

    - #### restoreState

          public void restoreState(javax.faces.context.FacesContext context,
                                   java.lang.Object state)

      Perform any processing required to restore the state from the entries in the state Object.

      Specified by:
        `restoreState` in interface `javax.faces.component.StateHolder`
      Overrides:
        `restoreState` in class `HtmlCommandLink`

    - #### setStyleClass

          public void setStyleClass(java.lang.String styleClass)

      Set the value of the `styleClass` property.

      Overrides:
        `setStyleClass` in class `HtmlCommandLink`

    - #### getStyleClass

          public java.lang.String getStyleClass()

      Return the value of the `styleClass` property.

      Overrides:
        `getStyleClass` in class `HtmlCommandLink`
      Returns:
        String styleClass

    - #### getFamily

          public java.lang.String getFamily()

      Return the value of the `COMPONENT_FAMILY` of this component.

      Overrides:
        `getFamily` in class `javax.faces.component.UICommand`

    - #### setColumnName

          public void setColumnName(java.lang.String columnName)

      Set the value of the `columnName` property.

    - #### getColumnName

          public java.lang.String getColumnName()

      Return the value of the `columnName` property.

    - #### setArrow

          public void setArrow(boolean arrow)

      Deprecated. It no longer has any effect in 1.7. To alter the appearance of the arrow images, the following style classes need to be customized: iceCmdSrtHdrAsc, iceCmdSrtHdrDesc

      Set the value of the `arrow` property.

    - #### isArrow

          public boolean isArrow()

      Deprecated. It no longer has any effect in 1.7. To alter the appearance of the arrow images, the following style classes need to be customized: iceCmdSrtHdrAsc, iceCmdSrtHdrDesc

      Return the value of the `arrow` property.

Copyright 2025 ICEsoft Technologies Canada, Corp. All Rights Reserved.